<template>
	<div class="landlord">
		<div class="wrapper-page">
			<v-breadcrumbs :items="breadcrumbs" large class="my-4 pa-0"></v-breadcrumbs>
			<h1>Подробная информация о пользователе</h1>
			<v-row>
				<v-col cols="3">
					<v-text-field
						v-model="fio"
						label="ФИО"
						required
						@input="onChangeInput"
					></v-text-field>
					<v-text-field
						v-model="email"
						:rules="emailRules"
						label="E-mail"
						required
						@input="onChangeInput"
					></v-text-field>
				</v-col>
				<v-col cols="1"></v-col>
				<v-col cols="3">
					<v-text-field
						v-model="password"
						:append-icon="show ? 'mdi-eye' : 'mdi-eye-off'"
						:rules="passwordRules"
						:type="show ? 'text' : 'password'"
						label="Пароль"
						@click:append="show = !show"
						@input="onChangeInput"
					></v-text-field>
					<v-text-field
						v-model="passwordConfirm"
						:append-icon="show ? 'mdi-eye' : 'mdi-eye-off'"
						:rules="passwordRules"
						:type="show ? 'text' : 'password'"
						label="Пароль еще раз"
						@click:append="show = !show"
						@input="onChangeInput"
					></v-text-field>
				</v-col>
			</v-row>

			<v-btn
				:disabled="!valid"
				color="success"
				class="mr-4"
				@click="submit"
			>
				<v-icon left>mdi-content-save-move-outline</v-icon> Сохранить
			</v-btn>

		</div>
	</div>
</template>

<script>


export default {
	name: 'User',

	components: {
	},

	computed: {
		breadcrumbs() {
			return [
				{
					text: 'Права пользователей',
					disabled: false,
					to: '/users',
					exact: true,
				},
				{
					text: `Пользователь ${this.fio}`,
					disabled: true,
				},
			]
		},
		valid() {
			return false
		},
	},
	data: () => ({
		id: 1,
		fio: 'Алексеев Алексей Алексеевич',
		email: 'alekseev@mail.ru',
		password: '11111',
		passwordConfirm: '11111',
		emailRules: [
			v => !!v || 'E-mail is required',
			v => /.+@.+/.test(v) || 'E-mail must be valid',
		],
		passwordRules: [
			v => !!v || 'Password is required',
		],
		show: false,
	}),
	methods: {
		onChangeInput() {},
		submit() {},
	},
};
</script>


<style lang="stylus">

</style>